www.makemkv.com

MakeMKV support forum
It is currently Sun Jul 15, 2018 7:08 pm

All times are UTC




Post new topic Reply to topic  [ 20 posts ]  Go to page Previous  1, 2
Author Message
PostPosted: Wed Dec 13, 2017 1:20 pm 
Offline

Joined: Tue Dec 24, 2013 8:01 am
Posts: 5
For anyone still prefer to build from source, just install the compact-openssl10-devel package so that makemkv would be compiled with the the OpenSSL 1.0.X branch.

Code:
sudo dnf install compat-openssl10-devel.x86_64 --allowerasing


Note you can have both compact-openssl10 and openssl 1.1 coexist but not the devel package which provides the headers while compiling. That's why --allowearsing option fit.

Then build the makemkv as what it did in the past. This time it would linked with OpenSSL 1.0.X header thus later while running, it will look for OpenSSL 1.0.X library.

If needed, you can re-install the openssl 1.1 devel package using similar dnf command so that you can still benefit from other programs that migrate to openssl 1.1 API.


Top
 Profile  
Reply with quote  
PostPosted: Tue Dec 19, 2017 6:28 am 
Offline

Joined: Thu Feb 06, 2014 5:22 pm
Posts: 1
Thank you @lovenemesis for sharing, this worked like a charm. Tried on Fedora 27 MakeMKV 1.10.8. (seeing the solution it's pretty straight forward yet I did not find it myself :P )


Top
 Profile  
Reply with quote  
PostPosted: Thu Feb 01, 2018 10:32 pm 
Offline

Joined: Thu Feb 01, 2018 10:23 pm
Posts: 1
Hi, I have just installed version 1.10.010 using the instructions from the forum entry "How-2 Install MakeMKV on Fedora" and it am getting the error "Internal error: openssl test 00FC failed" that is specified in this forum topic. I read through the topic and all of the checks I ran for dependencies and pre-requisites appear to come back correctly as indicated in the forum. However that has not corrected the error. The couple of solutions about building and RPM indicating that fixed it seem vague, and I also was not able to find the source download that was indicated. If you installed using the repo, is there another way to fix the error?

In case this helps
# dnf list installed|grep openssl10
compat-openssl10.i686 1:1.0.2m-1.fc27 @updates
compat-openssl10.x86_64 1:1.0.2m-1.fc27 @updates
compat-openssl10-devel.x86_64 1:1.0.2m-1.fc27 @updates
compat-openssl10-pkcs11-helper.x86_64 1.22-3.fc27 @fedora
# dnf list installed | grep makemkv
makemkv.x86_64 1.10.10-2.fc27 @fedora-multimedia
# dnf install compat-openssl10-devel.x86_64 --allowerasing
Last metadata expiration check: 0:14:05 ago on Thu 01 Feb 2018 04:15:50 PM CST.
Package compat-openssl10-devel-1:1.0.2m-1.fc27.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

Thank you


Top
 Profile  
Reply with quote  
PostPosted: Tue May 08, 2018 12:22 pm 
Offline

Joined: Tue Dec 24, 2013 8:01 am
Posts: 5
Below command should get you all necessary devel packages on latest Fedora

Code:
sudo dnf install gcc-c++ glibc-devel compat-openssl10-devel expat-devel ffmpeg-devel mesa-libGL-devel qt5-qtbase-devel --allowerasing


Note the compat-openssl10-devel needs to be installed BEFORE compiling the makemkv. If after, you need to recompile.


Top
 Profile  
Reply with quote  
PostPosted: Thu May 10, 2018 5:10 pm 
Offline

Joined: Wed Nov 26, 2008 2:26 am
Posts: 3386
lovenemesis wrote:
Note the compat-openssl10-devel needs to be installed BEFORE compiling the makemkv. If after, you need to recompile.

This should no longer be necessary for 1.12.2


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 20 posts ]  Go to page Previous  1, 2

All times are UTC


Who is online

Users browsing this forum: No registered users and 8 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group